package com.ruoyi.system.domain.to;

import javax.validation.constraints.NotBlank;
import java.util.StringJoiner;

/**
 * @ClassName: AMapUpdateCircleTo
 * @Author: 于学智
 * @Description: 高德地图更新圆形围栏TO
 * @CreateDate: 2023/9/14 16:19
 * @Version: 1.0
 * @E-mail:18722650553@139.com
 * @Link:https://github.com/18722650553
 */
public class AMapUpdateCircleTo extends AMapBaseTo {

    /**
     * 围栏中心点坐标 格式X,Y 必填
     */
    @NotBlank(message = "围栏中心点坐标禁止为空！")
    private String center;

    /**
     * 围栏半径 单位：米，整数，取值范[1,50000] 必填
     */
    @NotBlank(message = "围栏半径禁止为空！")
    private String radius;

    public String getCenter() {
        return center;
    }

    public void setCenter(String center) {
        this.center = center;
    }

    public String getRadius() {
        return radius;
    }

    public void setRadius(String radius) {
        this.radius = radius;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", AMapUpdateCircleTo.class.getSimpleName() + "[", "]")
                .add("center='" + center + "'")
                .add("radius='" + radius + "'")
                .toString();
    }
}
